import { useEffect, useState } from 'react';
import { useParams } from 'react-router-dom';
import { connect } from 'react-redux';

import { actionFindPostOne } from '../redux/action';


function Comments({ post = {}, loadPost }) {

    const { postId } = useParams() // отслеживаем изменения в урле
    // const post2 = useSelector(state => state?.CategoryGoodsAndSubCategoryGoods?.payload)

    useEffect(() => { loadPost(postId) }, [postId]) // перезапускаем loadPost, если произошло изменение в урле

    console.log('postID: ', { postId })



    return (
        <div>
            {/* <div>{user} and {postId}</div> */}
            тут будут отображаться все комментарии под постом
            <h2>{post.createdAt}</h2>
            {post._id}
        </div>
    )
}


// store.dispatch(actionFindPostOne())


export const CComments = connect(state => ({ post: state?.PostFindOne?.payload }), { loadPost: actionFindPostOne })(Comments)